Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jif.ast
Class ActsForConstraintNode_c

    java.lang.Object
      polyglot.ast.Node_c
          jif.ast.ConstraintNode_c
              jif.ast.ActsForConstraintNode_c

All Implemented Interfaces:
  java.lang.Cloneable, ActsForConstraintNode, ConstraintNode, polyglot.ast.JL, polyglot.ast.Node, polyglot.ast.NodeOps, polyglot.util.Copy

    public class ActsForConstraintNode_c

extends ConstraintNode_c
implements ActsForConstraintNode

An implementation of the `ActsForConstraintNode` interface.

Field Summary
`protected PrincipalNode` | `actor`
`protected PrincipalNode` | `granter`
`protected boolean` | `isEquiv`

Fields inherited from class jif.ast.ConstraintNode_c
`constraints`

Fields inherited from class polyglot.ast.Node_c
`del, error, ext, position`

Constructor Summary
`ActsForConstraintNode_c(polyglot.util.Position pos, PrincipalNode actor, PrincipalNode granter, boolean isEquiv)`

Method Summary
`PrincipalNode` | `actor()` Gets the actor principal.
`ActsForConstraintNode` | `actor(PrincipalNode actor)` Returns a copy of this node with the actor updated.
`polyglot.ast.Node` | `disambiguate(polyglot.visit.AmbiguityRemover ar)` Builds the type of this node.
`PrincipalNode` | `granter()` Gets the granter principal.
`ActsForConstraintNode` | `granter(PrincipalNode granter)` Returns a copy of this node with the granter updated.
`void` | `prettyPrint(polyglot.util.CodeWriter w, polyglot.visit.PrettyPrinter tr)`
`protected ActsForConstraintNode_c` | `reconstruct(PrincipalNode actor, PrincipalNode granter)` Reconstructs this node.
`void` | `translate(polyglot.util.CodeWriter w, polyglot.visit.Translator tr)`
`polyglot.ast.Node` | `visitChildren(polyglot.visit.NodeVisitor v)` Visits the children of this node.

Methods inherited from class jif.ast.ConstraintNode_c
`constraint, constraint, constraints, constraints, exceptionCheckEnter, isDisambiguated, setConstraint, toString`

Methods inherited from class polyglot.ast.Node_c
`addDecls, buildTypes, buildTypesEnter, checkConstants, childExpectedType, copy, copy, copy, del, del, disambiguateEnter, disambiguateOverride, dump, dump, dump, enterChildScope, enterScope, error, error, exceptionCheck, ext, ext, ext, ext, init, isTypeChecked, node, position, position, prettyPrint, prettyPrint, print, printBlock, printSubStmt, throwTypes, typeCheck, typeCheckEnter, typeCheckOverride, visit, visitChild, visitEdge, visitList`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface jif.ast.ConstraintNode
`constraints, constraints`

Methods inherited from interface polyglot.ast.Node
`childExpectedType, del, del, dump, error, error, ext, ext, ext, ext, isDisambiguated, isTypeChecked, position, position, visit, visitChild, visitEdge, visitList`

Methods inherited from interface polyglot.ast.JL
`init, node`

Methods inherited from interface polyglot.ast.NodeOps
`addDecls, buildTypes, buildTypesEnter, checkConstants, copy, copy, disambiguateEnter, disambiguateOverride, dump, dump, enterChildScope, enterScope, exceptionCheck, exceptionCheckEnter, prettyPrint, prettyPrint, throwTypes, typeCheck, typeCheckEnter, typeCheckOverride`

Methods inherited from interface polyglot.util.Copy
`copy`

Field Detail

### actor

    protected PrincipalNode actor

### granter

    protected PrincipalNode granter

### isEquiv

    protected final boolean isEquiv

Constructor Detail

### ActsForConstraintNode_c

    public ActsForConstraintNode_c(polyglot.util.Position pos,
                                   PrincipalNode actor,
                                   PrincipalNode granter,
                                   boolean isEquiv)

Method Detail

### actor

    public PrincipalNode actor()

  Gets the actor principal.

  Specified by:
    `actor` in interface `ActsForConstraintNode`

### actor

    public ActsForConstraintNode actor(PrincipalNode actor)

  Returns a copy of this node with the actor updated.

  Specified by:
    `actor` in interface `ActsForConstraintNode`

### granter

    public PrincipalNode granter()

  Gets the granter principal.

  Specified by:
    `granter` in interface `ActsForConstraintNode`

### granter

    public ActsForConstraintNode granter(PrincipalNode granter)

  Returns a copy of this node with the granter updated.

  Specified by:
    `granter` in interface `ActsForConstraintNode`

### reconstruct

    protected ActsForConstraintNode_c reconstruct(PrincipalNode actor,
                                                  PrincipalNode granter)

  Reconstructs this node.

### visitChildren

    public polyglot.ast.Node visitChildren(polyglot.visit.NodeVisitor v)

  Visits the children of this node.

  Specified by:
    `visitChildren` in interface `polyglot.ast.NodeOps`
  Overrides:
    `visitChildren` in class `polyglot.ast.Node_c`

### disambiguate

    public polyglot.ast.Node disambiguate(polyglot.visit.AmbiguityRemover ar)
                                   throws polyglot.types.SemanticException

  Builds the type of this node.

  Specified by:
    `disambiguate` in interface `polyglot.ast.NodeOps`
  Overrides:
    `disambiguate` in class `polyglot.ast.Node_c`
  Throws:
    `polyglot.types.SemanticException`

### prettyPrint

    public void prettyPrint(polyglot.util.CodeWriter w,
                            polyglot.visit.PrettyPrinter tr)

  Specified by:
    `prettyPrint` in interface `polyglot.ast.NodeOps`
  Overrides:
    `prettyPrint` in class `polyglot.ast.Node_c`

### translate

    public void translate(polyglot.util.CodeWriter w,
                          polyglot.visit.Translator tr)

  Specified by:
    `translate` in interface `polyglot.ast.NodeOps`
  Overrides:
    `translate` in class `polyglot.ast.Node_c`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD